QGIS Application - Bug report #1888
Image file filter in "save as picture” dialog is not working
2009-08-21 02:59 AM - Yves Jacolin

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11948
Description

If I try do save again my map as a picture, the dialog box does not show files with the same extension as the filter.

the filter hide all files !

Release used: QGIS trunk, r11362

History

#1 - 2009-08-21 09:51 AM - Marco Hugentobler

Hm, the filter seems to work for me here (tested with jpg and png). Which version of Qt are you using?

#2 - 2009-08-21 10:53 AM - Yves Jacolin

Hi,

I am using Qt 4.3.4. | am downloading Qt 4.5 and will test it as soon as possible.

Regards,

#3 - 2009-08-22 07:59 AM - Yves Jacolin

Hello,

| failed to build QGIS with qt4.5.2. QGIS tells me that it runs with qt4.5.2 but is built with qt4.3.4 :( In this way, the extension filter doesn't work in printing
component with QGIS trunk.

#4 - 2009-08-25 02:58 PM - Giovanni Manghi

works for me also. Qgis from trunk compiled on ubuntu 9.04, compiled and running against gt 4.5.0
#5 - 2009-08-28 09:25 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Open to Closed

It works fine also under windows (gt 4.5.2, under linux works fine with also qt 4.5.0). Closing, reopen if after upgrading gt the problem persist.
